/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/variables.scss';

.loginFeedback {
  display: block;
  width: 100%;
  text-align: center;
  font-size: 12px;
  color: #fe3030 !important;
  margin-top: 1rem;
}

.validLabel {
  color: #728099 !important;
}

.invalidLabel {
  color: #fe3030 !important;
}

.ChangePasswordSuccess {
  margin-top: 40px;
  .ChangePasswordParagraph {
    text-align: center;
  }

  &.First {
    .ant-modal-body {
      margin-bottom: 64px !important;
    }
  }
  .ant-modal-body {
    padding: 32px 60.5px 16px 60.5px;
  }
}
.SecretKey,
.ResetPassword,
.ModalLogin {
  margin-top: 40px;
  width: 470px;
  .ant-modal-content {
    border-radius: 10px !important;
  }
  .ant-modal-body {
    padding: 32px 60.5px 16px 60.5px !important;
  }
  .ant-form-item-required::before {
    display: none;
  }
  input {
    height: 40px;
    padding-left: 12px;
    border-radius: 4px;
    &::placeholder {
      font-size: 14px;
    }
  }
}
